package MpmasSimulationRunParameterListDefaults;

use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasInputfile;
use MpmasInputBlock;
our @ISA = qw(MpmasInputfile);

sub filename {
	return "SimRunParameterDefaults";
}
sub required {
	my ($self) = @_;
	return ($self->config_entry("MULTIPERIOD")); 
}


sub prepare_special {
	my ($self) = @_;	
	my @paramlist = @{$self-> get_simrun_parameter_list()};
	my $block = MpmasInputBlock->new(3,10);
	$block->add_row("SIMULATION RUN-SPECIFIC VARIABLE PARAMETERS");
	$block->add_row("1","","","");
	$block->add_row("","1.2", "Number of parameters", scalar(@paramlist));
	$block->add_empty_rows(1);
	$block->add_comment_row("","","","Parameter name","Parameter ID","Default value");
	for my $k (@paramlist)
	{
		$block->add_row("", "", "",$k, $self-> get_simrun_parameter_id($k), $self-> get_simrun_parameter_default($k) );
	}
	$self->add_block($block);
}
1;
